searchNodes=[{"doc":"Use Sensirion SGP40 air quality sensor in Elixir","ref":"SGP40.html","title":"SGP40","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"SGP40.html#child_spec/1","title":"SGP40.child_spec/1","type":"function"},{"doc":"See SGP40.VocIndex.get_states/0 .","ref":"SGP40.html#get_states/0","title":"SGP40.get_states/0","type":"function"},{"doc":"Measure the current air quality.","ref":"SGP40.html#measure/1","title":"SGP40.measure/1","type":"function"},{"doc":"See SGP40.VocIndex.set_states/1 .","ref":"SGP40.html#set_states/1","title":"SGP40.set_states/1","type":"function"},{"doc":"See SGP40.VocIndex.set_tuning_params/1 .","ref":"SGP40.html#set_tuning_params/1","title":"SGP40.set_tuning_params/1","type":"function"},{"doc":"Start a new GenServer for interacting with the SGP40 sensor. Normally, you'll want to pass the :bus_name option to specify the I2C bus going to the SGP40.","ref":"SGP40.html#start_link/1","title":"SGP40.start_link/1","type":"function"},{"doc":"Update relative ambient humidity (RH %) and ambient temperature (degree C) for the humidity compensation.","ref":"SGP40.html#update_rht/3","title":"SGP40.update_rht/3","type":"function"},{"doc":"","ref":"SGP40.html#t:bus_address/0","title":"SGP40.bus_address/0","type":"type"},{"doc":"","ref":"SGP40.html#t:bus_name/0","title":"SGP40.bus_name/0","type":"type"},{"doc":"SGP40 GenServer start_link options :name - A name for the GenServer :bus_name - Which I2C bus to use (defaults to &quot;i2c-1&quot; ) :bus_address - The address of the SGP40 (defaults to 0x59 ) :humidity_rh - Relative humidity in percent for compensation :temperature_c - Temperature in degree Celsius for compensation","ref":"SGP40.html#t:options/0","title":"SGP40.options/0","type":"type"},{"doc":"One sensor measurement","ref":"SGP40.Measurement.html","title":"SGP40.Measurement","type":"module"},{"doc":"","ref":"SGP40.Measurement.html#t:t/0","title":"SGP40.Measurement.t/0","type":"type"},{"doc":"Process the raw output of the SGP40 sensor into the VOC Index.","ref":"SGP40.VocIndex.html","title":"SGP40.VocIndex","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"SGP40.VocIndex.html#child_spec/1","title":"SGP40.VocIndex.child_spec/1","type":"function"},{"doc":"Get current algorithm states. Retrieved values can be used in set_states/1 to resume operation after a short interruption, skipping initial learning phase. This feature can only be used after at least 3 hours of continuous operation.","ref":"SGP40.VocIndex.html#get_states/0","title":"SGP40.VocIndex.get_states/0","type":"function"},{"doc":"Calculate the VOC index value from the raw sensor value.","ref":"SGP40.VocIndex.html#process/1","title":"SGP40.VocIndex.process/1","type":"function"},{"doc":"Set previously retrieved algorithm states to resume operation after a short interruption, skipping initial learning phase. This feature should not be used after inerruptions of more than 10 minutes. Call this once after start_link/1 and the optional set_tuning_params/1 , if desired. Otherwise, the algorithm will start with initial learning phase.","ref":"SGP40.VocIndex.html#set_states/1","title":"SGP40.VocIndex.set_states/1","type":"function"},{"doc":"Set parameters to customize the VOC algorithm. Call this once after start_link/1 , if desired. Otherwise, the default values will be used.","ref":"SGP40.VocIndex.html#set_tuning_params/1","title":"SGP40.VocIndex.set_tuning_params/1","type":"function"},{"doc":"Initialize the VOC algorithm parameters. Call this once at the beginning or whenever the sensor stopped measurements.","ref":"SGP40.VocIndex.html#start_link/1","title":"SGP40.VocIndex.start_link/1","type":"function"},{"doc":"Use Sensirion SGP40 air quality sensor in Elixir. The raw signal from the SGP40 sensor is processed using Sensirion's software algorithm to give the VOC Index that represents an air quality value on a scale from 0 to 500 where a lower value represents cleaner air.","ref":"readme.html","title":"SGP40","type":"extras"},{"doc":"iex&gt; { :ok , sgp } = SGP40 . start_link ( bus_name : &quot;i2c-1&quot; ) { :ok , # PID &lt; 0 . 1407 . 0 &gt; } iex&gt; SGP40 . measure ( sgp ) { :ok , % SGP40.Measurement { voc_index : 123 , timestamp_ms : 885906 } } For better accuracy, you can provide the SGP40 sensor with relative ambient humidity and ambient temperature from an external humidity sensor periodically. iex&gt; SGP40 . update_rht ( sgp , humidity_rh , temperature_c ) :ok Depending on your hardware configuration, you may need to modify the call to SGP40.start_link/1 . See SGP40.options/0 for parameters.","ref":"readme.html#usage","title":"SGP40 - Usage","type":"extras"}]